package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.annotation.DynamicField;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import cn.estsh.i3plus.pojo.base.enumutil.WmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 产品条码事务表
 * @Reference :
 * @Author :QianHuaSheng
 * @CreateDate : 2020-05-23 10:44 上午
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "WMS_SERIAL_TRANS")
@Api("产品条码事务")
public class WmsSerialTrans extends BaseBean {
    private static final long serialVersionUID = -5026295121251346312L;

    @Column(name = "BATCH_NO")
    @ApiParam(value = "父物料号")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String batchNo;


    @Column(name = "SERIAL_SN")
    @ApiParam(value = "产品条码")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String serialSn;

    @Column(name = "BH_TYPE")
    @ApiParam(value = "BH类型")
    @AnnoOutputColumn(refClass = WmsEnumUtil.BH_TYPE.class)
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.SELECT, dataSrc = "BH_TYPE")
    private Integer bhType;

    @Column(name = "PART_NO")
    @ApiParam(value = "物料号")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String partNo;

    @Column(name = "PART_NAME_RDD")
    @ApiParam(value = "物料名称")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String partNameRdd;

    @Column(name = "SRC_STOCK_SN")
    @ApiParam(value = "原库存条码")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String srcStockSn;

    @Column(name = "DEST_STOCK_SN")
    @ApiParam(value = "目的库存条码")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String destStockSn;

    @Column(name = "TRANS_TYPE")
    @ApiParam(value = "操作类型")
    @AnnoOutputColumn(refClass = WmsEnumUtil.BACTH_TRANS_TYPE.class)
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.SELECT, dataSrc = "BACTH_TRANS_TYPE")
    private Integer transType;

    @Column(name = "IS_OK")
    @ApiParam(value = "是否合格")
    @AnnoOutputColumn(refClass = WmsEnumUtil.TRUE_OR_FALSE.class)
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.SELECT, dataSrc = "TRUE_OR_FALSE")
    private Integer isOk;
}
